Subject: [AVT] Exceptional treatment of E bit for state events in 2833bis

From: "COLDREN, REX A (REX)" <[email-masked]>
Date: Wed, 10 Nov 2004 14:41:39 -0600

This one comes from the trunk events, where one state is necessarily 
exclusive of all others.  For them, the 'E' bit is not useful and is 
deemed to be, in fact, problematic.  For example, while reporting a
stable off-hook state in real time with RFC 2833 packets every 50ms,
there is an inherent 50ms delay (perhaps more with de-bouncing code)
in reporting the end of event (e.g. on-hook event occurred but one
additional off-hook needs to be sent with the 'E' bit set).

This is but an example.  I don't know how many of the other state
related events would be affected by changing this requirement.

Rex

-----Original Message-----
From: Tom Taylor [mailto:[email-masked]]
Sent: Wednesday, November 10, 2004 12:52 PM
To: [email-masked]
Subject: [AVT] Exceptional treatment of E bit for state events in
2833bis

draft-ietf-avt-rfc2833bis-05.txt section 2.5.1.2 contains the following text 
regarding the setting of 'E' (end) bits for events that are states:

       Sending of a packet with the "E" bit set is OPTIONAL if the packet
       reports two events which are defined as mutually exclusive states, or
       if the final packet for one state is immediately followed by a packet
       reporting a mutually exclusive state.  (For events defined as states,
       the appearance of a mutually exclusive state implies the end of the
       previous state.)

This is a small optimization at the potential expense of a bunch of extra code.  I 
really don't see it as worth the effort.  I propose to delete it unless someone 
makes a good case otherwise.

Comments?

-- 
Tom Taylor
Carrier VoIP Standards Development
Nortel Networks
Phone +1 613 763 1496  (ESN 393-1496)
E-mail: [email-masked]

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Tom Taylor <[email-masked]>
Date: Thu, 11 Nov 2004 13:13:09 -0500

Well, you certainly know where all the skeletons are buried.  I'd better leave it 
alone.  I'd also better track down that NAR trunk gateway specification you 
mentioned privately to see what 2833bis breaks.